package model

import (
	"time"

	invitation "gitlab.mashplace.com/mashplace/backend/invitation/api"
	"go.mongodb.org/mongo-driver/bson/primitive"
)

// ContactValidation model
type ContactValidation struct {
	CreatedAt time.Time                        `bson:"created_at"`
	UpdatedAt time.Time                        `bson:"updated_at"`
	ExpiresAt time.Time                        `bson:"expires_at"`
	UserID    string                           `bson:"user_id"`
	Key       string                           `bson:"key"`
	Otp       string                           `bson:"otp"`
	Remote    string                           `bson:"remote"`
	ID        primitive.ObjectID               `bson:"_id,omitempty"`
	Type      invitation.ContactValidationType `bson:"type"`
}
