package render

import (
	invitation "gitlab.mashplace.com/mashplace/backend/invitation/api"
	"gitlab.mashplace.com/mashplace/backend/invitation/internal/model"
)

// ContactValidation returns grpc model format
func ContactValidation(m *model.ContactValidation) *invitation.ContactValidation {
	return &invitation.ContactValidation{
		Id:     m.ID.Hex(),
		Type:   m.Type,
		Key:    m.Key,
		UserId: m.UserID,
		Remote: m.Remote,
		Otp:    m.Otp,
	}
}
