// Package s1v0003 schema migration
package s1v0003

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (affected int, err error) {
	inv := db.Collection("invitations")

	_, err = inv.UpdateMany(
		ctx,
		bson.M{"type": 1},
		bson.M{
			"$set": bson.M{
				"type":          4,
				"migrated_type": 1,
			},
		},
	)
	if err != nil {
		return -1, err
	}

	return -1, nil
}
